Package org.apache.sling.jcr.webdav.impl.helper

# Class SlingLocatorFactory

java.lang.Object
org.apache.sling.jcr.webdav.impl.helper.SlingLocatorFactory

All Implemented Interfaces:
  `org.apache.jackrabbit.webdav.DavLocatorFactory`

public class SlingLocatorFactory extends Object implements org.apache.jackrabbit.webdav.DavLocatorFactory

## Constructor Summary

Constructors
Constructor
Description
`SlingLocatorFactory(String workspaceName)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.jackrabbit.webdav.DavResourceLocator`
`createResourceLocator(String prefix, String href)`
`org.apache.jackrabbit.webdav.DavResourceLocator`
`createResourceLocator(String prefix, String workspacePath, String resourcePath)`
Create a new `DavResourceLocator` from the specified prefix, workspace path and resource path, whithout modifying the specified Strings.
`org.apache.jackrabbit.webdav.DavResourceLocator`
`createResourceLocator(String prefix, String workspacePath, String resourcePath, boolean isResourcePath)`
Create a new `DavResourceLocator` from the specified prefix, workspace path and resource path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingLocatorFactory

public SlingLocatorFactory(String workspaceName)

## Method Details

### createResourceLocator

public org.apache.jackrabbit.webdav.DavResourceLocator createResourceLocator(String prefix, String href)

Specified by:
  `createResourceLocator` in interface `org.apache.jackrabbit.webdav.DavLocatorFactory`

### createResourceLocator

public org.apache.jackrabbit.webdav.DavResourceLocator createResourceLocator(String prefix, String workspacePath, String resourcePath)
Create a new `DavResourceLocator` from the specified prefix, workspace path and resource path, whithout modifying the specified Strings. Note, that it is expected that the resource path starts with the given workspace path unless both values are `null`.

Specified by:
  `createResourceLocator` in interface `org.apache.jackrabbit.webdav.DavLocatorFactory`
Parameters:
  `prefix` -
  `workspacePath` - path or the workspace containing this resource or `null`.
  `resourcePath` - Path of the resource or `null`. Any non null value must start with the specified workspace path.
Returns:
  a new `DavResourceLocator`
See Also:
  - `DavLocatorFactory.createResourceLocator(String, String, String)`

### createResourceLocator

public org.apache.jackrabbit.webdav.DavResourceLocator createResourceLocator(String prefix, String workspacePath, String resourcePath, boolean isResourcePath)
Create a new `DavResourceLocator` from the specified prefix, workspace path and resource path. I

Specified by:
  `createResourceLocator` in interface `org.apache.jackrabbit.webdav.DavLocatorFactory`
Parameters:
  `prefix` -
  `workspacePath` -
  `resourcePath` -
  `isResourcePath` -
See Also:
  - `DavLocatorFactory.createResourceLocator(String, String, String, boolean)`